FreeBSD 6.1Rへアップグレード

FreeBSD 5.5R はPerl関係なかなかまともに動かない、安定性はFreeBSD 6.1R上という評判のため、5月29日夜、FreeBSD 6.1へアップグレードを開始。

それから長いアップグレード作業が始まった。

Perl 5.88はインタープリタとして機能するが、ApacheのCGIプログラムとして、エラーになる

Can’t locate strict.pm in @INC (@INC contains:
/usr/local/lib/perl5/5.8.8/BSDPAN
/usr/local/lib/perl5/site_perl/5.8.8/mach
/usr/local/lib/perl5/site_perl/5.8.8
/usr/local/lib/perl5/site_perl
/usr/local/lib/perl5/5.8.8/mach
/usr/local/lib/perl5/5.8.8 .)
at /home/chen/public_html/affelio/index.cgi line 20., referer: http://chen.silkroad.net/left2.htm

以前のもMTインストールでPerlにだいぶ時間を潰れて、やはりPerlは嫌だ!

Exit mobile version